LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
StratumCreationException Exception Reference

is passed to an InteractionHandler when creating a stratum backend fails. More...

`import"StratumCreationException.idl";`

Inheritance diagram for StratumCreationException:

## Public Attributes
string | StratumService
| Identifier of the stratum service that could not be created. More...
string | StratumData
| Initialization data passed to the stratum instance. More...
Public Attributes inherited from BackendSetupException
any | BackendException
| The exception that is raised by the underlying backend implementation. More...
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown. More...
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception. More...

## Detailed Description

is passed to an InteractionHandler when creating a stratum backend fails.

Since
  OOo 2.0

## Member Data Documentation

string StratumData

Initialization data passed to the stratum instance.

string StratumService

Identifier of the stratum service that could not be created.

The documentation for this exception was generated from the following file:

- com/sun/star/configuration/backend/StratumCreationException.idl